KSpeechSink Interface Reference

`#include <kspeechsink.h>`

Inheritance diagram for KSpeechSink:

## Public Types

enum | kttsdJobState { jsQueued = 0, jsSpeakable = 1, jsSpeaking = 2, jsPaused = 3, jsFinished = 4 }
enum | kttsdMarkupType { mtPlain = 0, mtJsml = 1, mtSmml = 2, mtSable = 3 }

## Additional Inherited Members

Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()
Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

KTTSD DCOP Signal Sink.

Since
  KDE 3.4

This defines the interface to sink signals emitted by KTTSD, the KDE Text-to-speech Deamon. The DCOP IDL Compiler generates a skeleton file from this interface definition that will marshal the arguments for you.

# Usage

See the Signals section of kspeech.h for instructions.

Warning
  The KSpeechSink interface is still being developed and is likely to change in the future.

Definition at line 42 of file kspeechsink.h.

## Member Enumeration Documentation

enum KSpeechSink::kttsdJobState

Job states returned by method getTextJobState.

Enumerator
jsQueued | Job has been queued but is not yet speakable.
jsSpeakable | Job is speakable, but is not speaking.
jsSpeaking | Job is currently speaking.
jsPaused | Job has been paused.
jsFinished | Job is finished and is deleteable.

Definition at line 50 of file kspeechsink.h.

enum KSpeechSink::kttsdMarkupType

Speech markup language types.

Enumerator
mtPlain | Plain text.
mtJsml | Java Speech Markup Language.
mtSmml | Speech Markup Meta-language
mtSable | Sable 2.0.

Definition at line 63 of file kspeechsink.h.

## Member Function Documentation

virtual ASYNC KSpeechSink::kttsdExiting | ( |  | ) |

inline virtual

This signal is emitted just before KTTSD exits.

Definition at line 79 of file kspeechsink.h.

virtual ASYNC KSpeechSink::kttsdStarted | ( |  | ) |

inline virtual

This signal is emitted when KTTSD starts or restarts after a call to reinit.

Definition at line 75 of file kspeechsink.h.

virtual ASYNC KSpeechSink::markerSeen | ( | const QCString & | appId,
|  | const QString & | markerName
| ) |  |

inline virtual

This signal is emitted when the speech engine/plugin encounters a marker in the text.

Parameters

  appId | DCOP application ID of the application that queued the text.
  markerName | The name of the marker seen.

See also
  markers

Definition at line 87 of file kspeechsink.h.

virtual ASYNC KSpeechSink::sentenceFinished | ( | const QCString & | appId,
|  | uint | jobNum,
|  | uint | seq
| ) |  |

inline virtual

This signal is emitted when a sentence has finished speaking.

Parameters

  appId | DCOP application ID of the application that queued the text.
  jobNum | Job number of the text job.
  seq | Sequence number of the text.

See also
  getTextCount

Definition at line 103 of file kspeechsink.h.

virtual ASYNC KSpeechSink::sentenceStarted | ( | const QCString & | appId,
|  | uint | jobNum,
|  | uint | seq
| ) |  |

inline virtual

This signal is emitted whenever a sentence begins speaking.

Parameters

  appId | DCOP application ID of the application that queued the text.
  jobNum | Job number of the text job.
  seq | Sequence number of the text.

See also
  getTextCount

Definition at line 95 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textAppended | ( | const QCString & | appId,
|  | uint | jobNum,
|  | int | partNum
| ) |  |

inline virtual

This signal is emitted whenever a new part is appended to a text job.

Parameters

  appId | The DCOP senderId of the application that created the job.
  jobNum | Job number of the text job.
  partNum | Part number of the new part. Parts are numbered starting at 1.

Definition at line 119 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textFinished | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever a text job is finished.

The job has been marked for deletion from the queue and will be deleted when another job reaches the Finished state. (Only one job in the text queue may be in state Finished at one time.) If startText or resumeText is called before the job is deleted, it will remain in the queue for speaking.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 136 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textPaused | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever a speaking text job is paused.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 148 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textRemoved | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever a text job is deleted from the queue.

The job is no longer in the queue when this signal is emitted.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 161 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textResumed | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted when a text job, that was previously paused, resumes speaking.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 154 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textSet | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever a new text job is added to the queue.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 110 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textStarted | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever speaking of a text job begins.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 126 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textStopped | ( | const QCString & | appId,
|  | uint | jobNum
| ) |  |

inline virtual

This signal is emitted whenever a speaking text job stops speaking.

Parameters

  appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  jobNum | Job number of the text job.

Definition at line 142 of file kspeechsink.h.

The documentation for this interface was generated from the following file:

- kspeechsink.h

KDE Home | KDE Accessibility Home | Description of Access Keys